ABOUT:
Gallery 3 is a web based software product that lets you manage your
photos on your own website.  You must have your own website with PHP
and database support in order to install and use it.  With Gallery you
can easily create and share albums of photos via an intuitive
interface.


SECURITY (& INTENDED AUDIENCE):
This is the third and final beta release of Gallery 3.0 and while it's
not a finished product, it's heading into the home stretch.  You can
install it on public websites, but remember that until the final
release is out, we make no guarantees that it won't do bad things.

Note:
 - We've contracted a professional security audit, received their results
   and resolved all the really dire issues they found.  There are still some
   issues, but they are more along the lines of "you should ask for the old
   password as a confirmation when you let users change their password".
   Ie, they're issues but they're not really bad.  We'll take care of them
   before the final release.
 - Most of the key features are in, but some of them (notably the "add from
   server" and "organize album" features) are probably going to be completely
   rewritten.
 - You can upgrade from beta 1, but not from alpha releases.

The intended audience of this release is folks who are willing to live
a little bit on the edge. We'll do our best to take care of your data
and your security, but we might screw it up here or there.  We welcome
theme and module developers to play with this release and start
turning out slick new designs for our happy users.

Did you find a security flaw?  Please email security@gallery.menalto.com
with the details and we'll fix it ASAP!


SUPPORTED CONFIGURATION:
 - Platform: Linux / Unix.
 - Web server: Apache 2.2 and newer.
 - PHP 5.2.3 and newer (PHP's safe_mode must be disabled and simplexml,
   filter, and json must be installed).
 - Database: MySQL 5 and newer.


INSTALLATION VIA THE WEB:
- Point your web browser at gallery3/installer/ and follow the
  instructions.


INSTALLATION FROM THE COMMAND LINE:
- php installer/index.php [-h host] [-u user] [-p pass] [-d dbname]

 Command line parameters:
 -h     Database host          (default: localhost)
 -u     Database user          (default: root)
 -p     Database user password (default: )
 -d     Database name          (default: gallery3)
 -x     Table prefix           (default: )


BUGS?
Go to http://apps.sourceforge.net/trac/gallery/ click the "login" link
and log in with your SourceForge username and password, then click the
"new ticket" button.  Mark any issues you find with the "Beta 2"
milestone and we'll try to get 'em done for the next release.


QUESTIONS, PROBLEMS:
 - Check out the gallery3 FAQ http://codex.gallery2.org/Gallery3:FAQ
 - Post to the Gallery 3 forums: http://gallery.menalto.com/forum/96
 - Email gallery-devel@lists.sourceforge.net



